Subject: Re: bug#72861: 30.0.90; remote tramp (30.0.90): Couldn't find a proper `ls' command
From: Christopher Howard <[email-masked]>
To: Michael Albinus <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Nov 2024 07:49:11 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I haven't been struggling with this issue for some months now. I can't quite remember exactly how I went about resolving it, but I see the following in my init.el:

```
 '(tramp-remote-path
   '(tramp-own-remote-path tramp-default-remote-path "/bin" "/usr/bin"
                           "/sbin" "/usr/sbin" "/usr/local/bin"
                           "/usr/local/sbin" "/local/bin"
                           "/local/freeware/bin" "/local/gnu/bin"
                           "/usr/freeware/bin" "/usr/pkg/bin"
                           "/usr/contrib/bin" "/opt/bin" "/opt/sbin"
                           "/opt/local/bin" "/opt/homebrew/bin"
                           "/opt/homebrew/sbin"
                           "/run/current-system/profile/bin"))
```

/run/current-system/profile/bin is where the system wide executables are stored, and tramp-own-remote-path preserves the PATH provided by the remote login.

-- 
Christopher Howard